std::__is_fast_hash< _Hash > Struct Template Reference

`#include <functional_hash.h>`

## Detailed Description

template<typename _Hash>
struct std::__is_fast_hash< _Hash >

Hint about performance of hash functions.

If a given hash function object is not fast, the hash-based containers will cache the hash code. The default behavior is to consider that hashers are fast unless specified otherwise.

Users can specialize this for their own hash functions in order to force caching of hash codes in unordered containers. Specializing this trait affects the ABI of the unordered containers, so use it carefully.

Definition at line 298 of file functional_hash.h.

The documentation for this struct was generated from the following file:

- functional_hash.h